Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Extension bcmath not found mit dem heutigen update debian buster #7092

Open
TheTheo53 opened this issue Sep 20, 2019 · 9 comments

Comments

@TheTheo53
Copy link

commented Sep 20, 2019

No description provided.

@TheTheo53 TheTheo53 changed the title Extension bcmath not found Extension bcmath not found mit dem heutigen update debian buster Sep 20, 2019
@TheTheo53

This comment has been minimized.

Copy link
Author

commented Sep 20, 2019

Daher kann die Anwendung nicht aktualisiert werden weil die Stup-Tests nicht durchgehen.
Was bedeutet das überhaupt und was fehlt denn da?
php-bcmath ist installiert. Ebenso php7.3-bcmath

@TheTheo53 TheTheo53 closed this Sep 20, 2019
@TheTheo53 TheTheo53 reopened this Sep 20, 2019
@pschuele

This comment has been minimized.

Copy link
Member

commented Sep 20, 2019

php-bcmath ist installiert. Ebenso php7.3-bcmath

hm, dann sollte eigentlich kein problem auftreten. sicher, dass es auch im webserver aktiviert ist?

benutzt du das deb-paket?

@TheTheo53

This comment has been minimized.

Copy link
Author

commented Sep 20, 2019

Ein Neustart des Apachen hat nichts gebracht, konnte aber mit
php setup.php --update
das update durchführen, so daß ich jetzt arbeiten kann.
Ich benutze das deb-Paket.
Ob das Modul im Apachen aktiv ist muss ich noch herausfinden.
Grüße

@TheTheo53

This comment has been minimized.

Copy link
Author

commented Sep 24, 2019

Die Module php7.0 und php7.3 sind im apachen aktiviert.
Ein Modul, wie auch immer, bcmath kann ich nicht finden. Das wird ja auch nicht nötig sein
wenn die php Module aktiviert sind. Oder wie sehe ich das?

@lab-at-nohl

This comment has been minimized.

Copy link
Contributor

commented Oct 4, 2019

Leider kannst du das nicht aufrufen, sonst hätte ich empfohlen als admin mal "Server Informationen" aufzurufen und mal nach "BCMath support | enabled" zu schauen.

leg doch mal neben die index.php eine Datei info.php mit folgendem Inhalt

<?php
phpinfo();

Und ruf das im Browser auf; dann schau dann dort.

@TheTheo53

This comment has been minimized.

Copy link
Author

commented Oct 5, 2019

Das Modul ist scheinbar vorhanden, Ich finde:

BC Math

@TheTheo53 TheTheo53 closed this Oct 5, 2019
@TheTheo53 TheTheo53 reopened this Oct 6, 2019
@TheTheo53

This comment has been minimized.

Copy link
Author

commented Oct 12, 2019

Also:
In buster scheint das Modul bcmath zu fehlen, und zwar für php7.0. Ich finde es jedenfalls nicht
und kann es auch nicht installieren.
Da der Apache aber immer php7.0 benutzt, kann er das Modul nicht finden.
Nach:
a2dismod php7.0 a2enmod php7.3 systemctl restart apache2
läuft der Setup-Test normal durch.

Grüße

@pschuele

This comment has been minimized.

Copy link
Member

commented Oct 17, 2019

denke nicht, dass das ein problem von unserem paket ist - php 7.3 ist ja der default in buster. issue kann dann zu?

aus dem control file:

Package: tine20-tinebase
Architecture: all
Depends: ${misc:Depends},
 tine20-libraries (= ${binary:Version}),
 php7.3-mysql | php7.3-pgsql,
 php7.3-mbstring,
 php7.3-xml,
 php7.3-zip,
 php7.3-gd,
 php7.3-intl,
 php7.3-bcmath,
 php7.3-json,
 makepasswd,
 bsdutils,
 php7.3-cli
@TheTheo53

This comment has been minimized.

Copy link
Author

commented Oct 18, 2019

Denke ich jetzt auch. Offenbar wurde beim Update auf Buster default PHP7.3 bei
meiner Installation nicht gesetzt. Warum weiß ich nicht. Jetzt gehts ja. Das tine-Update von
Gestern ist problemlose durchgelaufen. Ich denke wir können das schließen.

Danke und Grüße

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.